{include="header"}

<script type="text/javascript">
   var keyboard_id = false;

   function get_keyboard(id)
   {
         keyboard_id = id;

         $("#modal_keyboard").modal('show');
         $("#i_keyboard").val( $("#"+keyboard_id).val() );
   }
   function set_keyboard(key)
   {
         if(key == 'back')
         {
            var str = $("#i_keyboard").val();

            if(str.length > 0)
            {
               $("#i_keyboard").val( str.substring(0, str.length-1) );
            }
         }
         else if(key == 'clear')
         {
            $("#i_keyboard").val('');
         }
         else if(key == '+/-')
         {
            $("#i_keyboard").val( 0 - parseFloat($("#i_keyboard").val()) );
         }
         else if(key == 'ok')
         {
            $("#"+keyboard_id).val( $("#i_keyboard").val() );
            $("#modal_keyboard").modal('hide');
         }
         else
         {
            $("#i_keyboard").val( $("#i_keyboard").val()+key );
         }
   }
   $(document).ready(function() {
      document.f_cerrar_caja.m1c.focus();
      $("#f_cerrar_caja").submit(function(event) {
         event.preventDefault();

         if( !$.isNumeric(document.f_cerrar_caja.m1c.value) )
         {
            alert('Cuenta las monedas de 1 centavo.');
            document.f_cerrar_caja.m1c.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.m2c.value) )
         {
            alert('Cuenta las monedas de 2 centavo.');
            document.f_cerrar_caja.m2c.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.m5c.value) )
         {
            alert('Cuenta las monedas de 5 centavos.');
            document.f_cerrar_caja.m5c.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.m10c.value) )
         {
            alert('Cuenta las monedas de 10 centavos.');
            document.f_cerrar_caja.m10c.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.m20c.value) )
         {
            alert('Cuenta las monedas de 20 centavos.');
            document.f_cerrar_caja.m20c.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.m50c.value) )
         {
            alert('Cuenta las monedas de 50 centavos.');
            document.f_cerrar_caja.m50c.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.m1e.value) )
         {
            alert('Cuenta las monedas de 1 peso.');
            document.f_cerrar_caja.m1e.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.m2e.value) )
         {
            alert('Cuenta las monedas de 2 pesos.');
            document.f_cerrar_caja.m2e.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.b5e.value) )
         {
            alert('Cuenta los billetes de 5 pesos.');
            document.f_cerrar_caja.b5e.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.b10e.value) )
         {
            alert('Cuenta los billetes de 10 pesos.');
            document.f_cerrar_caja.b10e.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.b20e.value) )
         {
            alert('Cuenta los billetes de 20 pesos.');
            document.f_cerrar_caja.b20e.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.b50e.value) )
         {
            alert('Cuenta los billetes de 50 pesos.');
            document.f_cerrar_caja.b50e.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.b100e.value) )
         {
            alert('Cuenta los billetes de 100 pesos.');
            document.f_cerrar_caja.b100e.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.b200e.value) )
         {
            alert('Cuenta los billetes de 200 euros.');
            document.f_cerrar_caja.b200e.focus();
         }
         else if( !$.isNumeric(document.f_cerrar_caja.b500e.value) )
         {
            alert('Cuenta los billetes de 500 euros.');
            document.f_cerrar_caja.b500e.focus();
         }
         else
            document.f_cerrar_caja.submit();
      });
   });
</script>

<form id="f_cerrar_caja" name="f_cerrar_caja" action="{$fsc->url()}" method="post">
   <input type="hidden" name="cerrar_caja" value="TRUE"/>
   <div class="container">
      <div class="row">
         <div class="col-sm-12">
            <div class="page-header">
               <h1>Saca el cambio, cuenta las monedas y billetes de la caja</h1>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-12">
            <ul class="nav nav-tabs">
               <li role="presentation" class="active">
                  <a href="#">Monedas</a>
               </li>
            </ul>
         </div>
      </div>
      <div class="row" style="margin-top: 10px;">
         <div class="col-sm-3">
            <div class="form-group">
               1 centavo
               <div class="input-group">
                  <input id="m1c" class="form-control" type="text" name="m1c" autocomplete="off" placeholder="¿Cuantas?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('m1c')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               5 centavos
               <div class="input-group">
                  <input id="m2c" class="form-control" type="text" name="m2c" autocomplete="off" placeholder="¿Cuantas?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('m2c')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3" style="display:none">
            <div class="form-group">
               10 centavos
               <div class="input-group">
                  <input id="m5c" value="0" class="form-control" type="text" name="m5c" autocomplete="off" placeholder="¿Cuantas?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('m5c')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               10 centavos
               <div class="input-group">
                  <input id="m10c" class="form-control" type="text" name="m10c" autocomplete="off" placeholder="¿Cuantas?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('m10c')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               25 centavos
               <div class="input-group">
                  <input id="m20c" class="form-control" type="text" name="m20c" autocomplete="off" placeholder="¿Cuantas?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('m20c')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               50 centavos
               <div class="input-group">
                  <input id="m50c" class="form-control" type="text" name="m50c" autocomplete="off" placeholder="¿Cuantas?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('m50c')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               1 peso
               <div class="input-group">
                  <input id="m1e" class="form-control" type="text" name="m1e" autocomplete="off" placeholder="¿Cuantas?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('m1e')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               2 pesos
               <div class="input-group">
                  <input id="m2e" class="form-control" type="text" name="m2e" autocomplete="off" placeholder="¿Cuantas?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('m2e')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-12">
            <ul class="nav nav-tabs">
               <li role="presentation" class="active">
                  <a href="#">Billetes</a>
               </li>
            </ul>
         </div>
      </div>
      <div class="row" style="margin-top: 10px;">
         <div class="col-sm-3">
            <div class="form-group">
               2 pesos
               <div class="input-group">
                  <input id="b5e" class="form-control" type="text" name="b5e" autocomplete="off" placeholder="¿Cuantos?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('b5e')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               5 pesos
               <div class="input-group">
                  <input id="b10e" class="form-control" type="text" name="b10e" autocomplete="off" placeholder="¿Cuantos?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('b10e')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               10 pesos
               <div class="input-group">
                  <input id="b20e" class="form-control" type="text" name="b20e" autocomplete="off" placeholder="¿Cuantos?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('b20e')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               20 pesos
               <div class="input-group">
                  <input id="b50e" class="form-control" type="text" name="b50e" autocomplete="off" placeholder="¿Cuantos?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('b50e')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               50 pesos
               <div class="input-group">
                  <input id="b100e" class="form-control" type="text" name="b100e" autocomplete="off" placeholder="¿Cuantos?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('b100e')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               100 pesos
               <div class="input-group">
                  <input id="b200e" class="form-control" type="text" name="b200e" autocomplete="off" placeholder="¿Cuantos?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('b200e')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-3" style="display:none">
            <div class="form-group">
               500 euros
               <div class="input-group">
                  <input id="b500e" value="0" class="form-control" type="text" name="b500e" autocomplete="off" placeholder="¿Cuantos?"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="get_keyboard('b500e')">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
      </div>
      <div class="row" style="margin-top: 30px;">
         <div class="col-sm-6">
            <a href="index.php?page=tpv_tactil" class="btn btn-lg btn-danger">
               <span class="glyphicon glyphicon-remove"></span> &nbsp; Cancelar
            </a>
         </div>
         <div class="col-sm-6 text-right">
            <button class="btn btn-lg btn-primary" type="submit">
               <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Finalizar
            </button>
         </div>
      </div>
   </div>
</form>

<div class="modal" id="modal_keyboard" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
               </button>
               <h4 class="modal-title">
                  <span class="glyphicon glyphicon-th"></span> &nbsp; Teclado
               </h4>
            </div>
            <div class="modal-body">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-12">
                        <div class="form-group">
                           <input type="text" id="i_keyboard" class="form-control" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('7')">7</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('8')">8</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('9')">9</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-warning" onclick="set_keyboard('back')">&lt;--</a>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-12">
                        <br/>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('4')">4</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('5')">5</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('6')">6</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-danger" onclick="set_keyboard('clear')">
                           <span class="glyphicon glyphicon-trash"></span>
                        </a>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-12">
                        <br/>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('1')">1</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('2')">2</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('3')">3</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('+/-')">+/-</a>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-12">
                        <br/>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('0')">0</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('.')">.</a>
                     </div>
                     <div class="col-sm-6">
                        <a href="#" class="btn btn-lg btn-block btn-success" onclick="set_keyboard('ok')">
                           <span class="glyphicon glyphicon-ok"></span>
                        </a>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
</div>

{if="$fsc->terminal"}
<div class="hidden">
   <iframe src="http://localhost:10080?terminal={$fsc->terminal->id}" height="0"></iframe>
</div>
{/if}

{include="footer"}
